#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
@author: JM
"""


class Problem:
    """
    Class to store data about a given problem.
    """

    def __init__(self, trees):
        """
        Construct a problem.
        Attributes:
        ----------
        tree : list(list(Branch))
            each element of the list is a tree, and a tree is composed of branches.
        """
        self.trees = trees

    def display(self):
        """
        Display information about the problem.
        """
        print("c Information on the problem: ")
        for tree in self.trees:
            for branch in tree:
                branch.display()
